# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
rust-version = "1.85"
name = "mssql-tls"
version = "0.3.0"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "TLS negotiation for SQL Server connections (TDS 7.x and 8.0)"
readme = "README.md"
keywords = [
    "sql-server",
    "tls",
    "rustls",
    "encryption",
]
categories = [
    "network-programming",
    "cryptography",
]
license = "MIT OR Apache-2.0"
repository = "https://github.com/praxiomlabs/rust-mssql-driver"

[package.metadata.cargo-machete]
ignored = ["tokio-test"]

[features]
default = []

[lib]
name = "mssql_tls"
path = "src/lib.rs"

[dependencies.rustls]
version = "0.23"
features = [
    "std",
    "tls12",
    "ring",
]
default-features = false

[dependencies.thiserror]
version = "2.0"

[dependencies.tokio]
version = "1.48"
features = ["full"]

[dependencies.tokio-rustls]
version = "0.26"

[dependencies.tracing]
version = "0.1"

[dependencies.webpki-roots]
version = "1.0"

[dev-dependencies.tokio-test]
version = "0.4"

[lints.clippy]
dbg_macro = "warn"
expect_used = "warn"
panic = "warn"
todo = "warn"
unwrap_used = "warn"

[lints.rust]
missing_docs = "warn"
unsafe_code = "deny"
